<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- DOJO claro Template Layout -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="auto" lang="auto">
	<head>
		<title><?php echo $meta->title; ?></title>
		<link rel="shortcut icon" href="<?php echo $meta->shortcut_icon ? $meta->shortcut_icon : URL::Site('media/img/favicon.ico'); ?>" type="image/vnd.microsoft.icon" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Language" content="<?php echo $meta->language; ?>" />
		<meta name="keywords" content="<?php echo $meta->keywords; ?>" />
		<meta name="description" content="<?php echo $meta->description; ?>" />
		<meta name="copyright" content="<?php echo Config::copywrite(); ?>" />
		<!-- Load dojo and provide config via data attribute -->
		<?php echo HTML::Style('media/js/dojo-release-1.7.2/dijit/themes/claro/claro.css',array('media'=>'screen')); ?>
		<?php echo HTML::Script('media/js/dojo-release-1.7.2/dojo/dojo.js',array('data-dojo-config'=>'async: true, parseOnLoad: true')); ?>
		<?php echo HTML::Style('media/theme/claro/css/style.css',array('media'=>'screen')); ?>
		<script>
			require(["dijit/layout/BorderContainer","dijit/layout/TabContainer","dijit/layout/ContentPane","dijit/Dialog","dijit/MenuBar","dijit/MenuBarItem"]);
			require(["dojo/data/ItemFileWriteStore","dijit/Tree"]);
		</script>
		<!-- Other Style sheets or scripts that are used -->
		<?php echo Style::factory(); ?>
		<?php echo Script::factory(); ?>
<!-- testing -->
		<script type="text/javascript">
require(["dojo/ready"], function() {
	dojo.addOnLoad(function() {
		var store = new dojo.data.ItemFileWriteStore({
			url: "/pla/media/demo1.json"
		});

		var model = new dijit.tree.TreeStoreModel({
			store: store,
			childrenAttrs: ["children"]
		});

		new dijit.Tree({
			model: model,
		}, "ldaptree");
	});
});
		</script>
	</head>
	<body class="claro">
		<div id="appLayout" data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="design: 'headline'">
			<div id="appHeader" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'top'">
				<?php echo Config::logo(); ?>
			</div>
			<div id="appControl" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'top'">
				<div dojoType="dijit.MenuBar" id="navMenu">
					<div dojoType="dijit.MenuBarItem" onClick="window.location='<?php echo URL::site('login'); ?>'">
						<span>Login</span>
					</div>
					<div dojoType="dijit.MenuBarItem" onClick="dijit.byId('helpDialog').show();">
						<span>Help</span>
					</div>
				</div>
				<div data-dojo-type="dijit.Dialog" id="helpDialog" data-dojo-props="title: '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Help &amp;amp; Support'" href="<?php echo URL::Site('media/notimplemented.txt'); ?>"></div>
			</div>
			<?php if (Auth::instance()->logged_in()) { ?>
			<div id="appLeft" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'left', splitter: true">
				<div id="ldaptree"></div>
			</div>
			<div id="appBody" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
				<div data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="design: 'headline'">
					<div id="appStatus" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'top'"></div>
					<div id="appContent" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
						<div data-dojo-type="dijit.layout.TabContainer" data-dojo-props="">
						<?php echo $content; ?>
						</div>
					</div>
				</div>
			</div>
			<?php } else { ?>
			<div id="appBody" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region: 'center'">
				<?php echo $content; ?>
			</div>
			<?php } ?>
			<div id="appFooter" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'bottom'">
				<div class="foottext"><?php echo Config::version(); ?></div>
			</div>
		</div>
	</body>
</html>
